Sunday, March 29, 2015

Knox 2.4 works for Samsung smartphones and tablets running Android 5.0 Lollipop

Knox 2.4 works for Samsung smartphones and tablets running Android 5.0 Lollipop .... 


When Samsung's Galaxy S6 and S6 Edge smartphones ship on April 10, they'll come with the newest version of Samsung's mobile security technology, Knox 2.4, already installed. But they'll also support Google's new security technology, Android for Work. Which should you use?





Knox 2.4 has more advanced capabilities than Android for Work, but Knox 2.4 works only with higher-end Samsung smartphones and tablets running Android 5.0 Lollipop. The exact models remain unclear. Samsung confirms the Galaxy S6 and S6 Edge as compatible with Knox 2.4, and it says "any device that ships with Lollipop or gets a Lollipop update is highly likely to get a Knox 2.4 update, but the specifics are dependent on carriers and regions as well as on timing of other updates that are already in the pipeline."

In other words, you'll need to carefully research which devices are compatible and when they become compatible.

Dailynews1001.blogspot.com

1 comment: